> For the complete documentation index, see [llms.txt](https://docs.os.uk/more-than-maps/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/more-than-maps/os-ngd-migration/comparison-of-transport-network-products/roads-and-paths-feature-types/ferry-terminal.md).

# Ferry Terminal

Detailed attribute comparison for OSMM Highways Network's Ferry Terminal Feature Type with the equivalent OS NGD feature type.

<table data-full-width="true"><thead><tr><th>OSMM Attribute</th><th>OSMM Code List (if Applicable)</th><th>OS NGD Attribute</th><th>OS NGD Code List (if Applicable)</th><th>Notes</th></tr></thead><tbody><tr><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/feature-types/ferryterminal#type">type</a></td><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-code-lists/connectiontypevalue">ConnectionTypeValue</a></td><td><a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#description">description</a></td><td><a href="https://docs.os.uk/osngd/code-lists/code-lists-overview/ferryterminaldescriptionvalue">ferryterminaldescriptionvalue</a></td><td>INSPIRE attribute, and the only value was <code>intermodal</code> ; the OS NGD code list only has one value: <code>Ferry Terminal</code>.</td></tr><tr><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/feature-types/ferryterminal#ferryterminalname">ferryTerminalName</a></td><td>N/A</td><td><a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#name1_text">name1_text</a></td><td>N/A</td><td>Attribute is expanded in the OS NGD to describe the feature name in two languages if applicable. Attribute serves the same purpose, with new additional context provided in <a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#name1_language"><code>name1_language</code></a>, <a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#name2_text"><code>name2_text</code></a> and <a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#name2_language"><code>name2_language</code></a>.</td></tr><tr><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/feature-types/ferryterminal#ferryterminalcode">ferryTerminalCode</a></td><td>N/A</td><td><a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#ferryterminalcode">ferryterminalcode</a></td><td>N/A</td><td>Attribute serves the same purpose.</td></tr><tr><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/feature-types/ferryterminal#reftofunctionalsite">refToFunctionalSite</a></td><td>N/A</td><td><a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#siteid">siteid</a></td><td>N/A</td><td>Attribute serves the same purpose.</td></tr><tr><td><a href="https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/feature-types/ferryterminal#element-inspire">element > element_id / element > role</a></td><td>N/A</td><td><a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#roadnodeid">roadnodeid</a> / <a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#pathnodeid">pathnodeid</a> / <a href="https://docs.os.uk/osngd/data-structure/transport/transport-network/ferry-terminal#ferrynodeid">ferrynodeid</a></td><td>N/A</td><td>Element attribute in OSMM listed the IDs of the road nodes, path nodes and ferry nodes the ferry terminal was associated with, and the element_role described whether the nodes were road, path or ferry nodes. New OS NGD attribution splits these out into separate attributes.</td></tr></tbody></table>

{% hint style="info" %}
All the OSMM Highways Network products' attributes above use the names from the GML format; please see the [Attribute naming differences between GML and GeoPackage formats](https://docs.os.uk/os-downloads/networks/os-mastermap-highways-network-roads/os-mastermap-highways-network-roads-technical-specification/geopackage-overview) page for the GeoPackage equivalents.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/more-than-maps/os-ngd-migration/comparison-of-transport-network-products/roads-and-paths-feature-types/ferry-terminal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
